# Poco

# class ManifestBase

Library: Foundation
Package: SharedLibrary
Header: Poco/Manifest.h

## Description

ManifestBase is a common base class for all instantiations of Manifest.

## Inheritance

Known Derived Classes: Manifest

## Member Summary

Member Functions: className

## Constructors

### ManifestBase

ManifestBase();

## Destructor

### ~ManifestBase

virtual ~ManifestBase();

## Member Functions

### className

virtual const char * className() const = 0;

Returns the type name of the manifest's class.